Index: /pjproject/branches/projects/vs-reorg2/pjlib/include/pj/compat/os_win32_wince.h
===================================================================
--- /pjproject/branches/projects/vs-reorg2/pjlib/include/pj/compat/os_win32_wince.h	(revision 2653)
+++ /pjproject/branches/projects/vs-reorg2/pjlib/include/pj/compat/os_win32_wince.h	(revision 2654)
@@ -29,4 +29,5 @@
 
 #define WIN32_LEAN_AND_MEAN
+#define RPC_NO_WINDOWS_H
 //#define PJ_WIN32_WINNT		    0x0400
 //#define _WIN32_WINNT		    PJ_WIN32_WINNT
Index: /pjproject/branches/projects/vs-reorg2/pjlib/src/pj/log_writer_stdout.c
===================================================================
--- /pjproject/branches/projects/vs-reorg2/pjlib/src/pj/log_writer_stdout.c	(revision 2653)
+++ /pjproject/branches/projects/vs-reorg2/pjlib/src/pj/log_writer_stdout.c	(revision 2654)
@@ -27,4 +27,6 @@
 #if defined(PJ_TERM_HAS_COLOR) && PJ_TERM_HAS_COLOR != 0
     pj_term_set_color(pj_log_get_color(level));
+#else
+    PJ_UNUSED_ARG(level);
 #endif
 }
Index: /pjproject/branches/projects/vs-reorg2/pjmedia/src/pjmedia/wsola.c
===================================================================
--- /pjproject/branches/projects/vs-reorg2/pjmedia/src/pjmedia/wsola.c	(revision 2653)
+++ /pjproject/branches/projects/vs-reorg2/pjmedia/src/pjmedia/wsola.c	(revision 2654)
@@ -426,5 +426,5 @@
 #else
 	/* Revert to linear */
-	w[i] = i * WINDOW_MAX_VAL / count;
+	w[i] = (pj_uint16_t)(i * WINDOW_MAX_VAL / count);
 #endif
     }
Index: /pjproject/branches/projects/vs-reorg2/pjmedia/src/test/codec_vectors.c
===================================================================
--- /pjproject/branches/projects/vs-reorg2/pjmedia/src/test/codec_vectors.c	(revision 2653)
+++ /pjproject/branches/projects/vs-reorg2/pjmedia/src/test/codec_vectors.c	(revision 2654)
@@ -223,6 +223,6 @@
     short frame_start = 0x6b21;
 
-    nsamp = fread(in_array, 2, 2 + 16*number_of_16bit_words_per_frame,
-		  fp_bitstream);
+    nsamp = (short)fread(in_array, 2, 2 + 16*number_of_16bit_words_per_frame,
+			 fp_bitstream);
 
     j = 0;
Index: /pjproject/branches/projects/vs-reorg2/pjmedia/src/test/jbuf_test.c
===================================================================
--- /pjproject/branches/projects/vs-reorg2/pjmedia/src/test/jbuf_test.c	(revision 2653)
+++ /pjproject/branches/projects/vs-reorg2/pjmedia/src/test/jbuf_test.c	(revision 2654)
@@ -227,5 +227,5 @@
 	/* Test session start */
 	while (1) {
-	    int c;
+	    char c;
 	    
 	    /* Get next line of test data */
Index: /pjproject/branches/projects/vs-reorg2/pjmedia/src/test/wince_main.c
===================================================================
--- /pjproject/branches/projects/vs-reorg2/pjmedia/src/test/wince_main.c	(revision 2653)
+++ /pjproject/branches/projects/vs-reorg2/pjmedia/src/test/wince_main.c	(revision 2654)
@@ -18,7 +18,7 @@
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
  */
+#include "test.h"
 #include <windows.h>
 #include <stdio.h>
-#include "test.h"
 
 #define TITLE	"PJMEDIA Test"
@@ -29,4 +29,6 @@
 static void log_writer_cb(int level, const char *data, int len)
 {
+    PJ_UNUSED_ARG(level);
+
     fwrite(data, len, 1, fLog);
 }
@@ -39,4 +41,9 @@
 {
     int rc;
+
+    PJ_UNUSED_ARG(hInstance);
+    PJ_UNUSED_ARG(hPrevInstance);
+    PJ_UNUSED_ARG(lpCmdLine);
+    PJ_UNUSED_ARG(nCmdShow);
 
     rc = MessageBox(0, TEXT(CAPTION), TEXT(TITLE), MB_OKCANCEL);
Index: /pjproject/branches/projects/vs-reorg2/pjproject-vs8.sln
===================================================================
--- /pjproject/branches/projects/vs-reorg2/pjproject-vs8.sln	(revision 2653)
+++ /pjproject/branches/projects/vs-reorg2/pjproject-vs8.sln	(revision 2654)
@@ -134,6 +134,9 @@
 		build\vs\pjproject-vs8-win32-release-defaults.vsprops = build\vs\pjproject-vs8-win32-release-defaults.vsprops
 		build\vs\pjproject-vs8-wm2003-common-defaults.vsprops = build\vs\pjproject-vs8-wm2003-common-defaults.vsprops
+		build\vs\pjproject-vs8-wm2003-release-defaults.vsprops = build\vs\pjproject-vs8-wm2003-release-defaults.vsprops
 		build\vs\pjproject-vs8-wm5-common-defaults.vsprops = build\vs\pjproject-vs8-wm5-common-defaults.vsprops
+		build\vs\pjproject-vs8-wm5-release-defaults.vsprops = build\vs\pjproject-vs8-wm5-release-defaults.vsprops
 		build\vs\pjproject-vs8-wm6-common-defaults.vsprops = build\vs\pjproject-vs8-wm6-common-defaults.vsprops
+		build\vs\pjproject-vs8-wm6-release-defaults.vsprops = build\vs\pjproject-vs8-wm6-release-defaults.vsprops
 	EndProjectSection
 EndProject
Index: /pjproject/branches/projects/vs-reorg2/pjsip-apps/src/pjsua_wince/pjsua_wince.cpp
===================================================================
--- /pjproject/branches/projects/vs-reorg2/pjsip-apps/src/pjsua_wince/pjsua_wince.cpp	(revision 2653)
+++ /pjproject/branches/projects/vs-reorg2/pjsip-apps/src/pjsua_wince/pjsua_wince.cpp	(revision 2654)
@@ -287,4 +287,6 @@
 static void on_buddy_state(pjsua_buddy_id buddy_id)
 {
+    /* Currently this is not processed */
+    PJ_UNUSED_ARG(buddy_id);
 }
 
@@ -297,4 +299,11 @@
 		     const pj_str_t *mime_type, const pj_str_t *text)
 {
+    /* Currently this is not processed */
+    PJ_UNUSED_ARG(call_id);
+    PJ_UNUSED_ARG(from);
+    PJ_UNUSED_ARG(to);
+    PJ_UNUSED_ARG(contact);
+    PJ_UNUSED_ARG(mime_type);
+    PJ_UNUSED_ARG(text);
 }
 
@@ -307,4 +316,28 @@
 		      pj_bool_t is_typing)
 {
+    /* Currently this is not processed */
+    PJ_UNUSED_ARG(call_id);
+    PJ_UNUSED_ARG(from);
+    PJ_UNUSED_ARG(to);
+    PJ_UNUSED_ARG(contact);
+    PJ_UNUSED_ARG(is_typing);
+}
+
+/** 
+ * Callback upon NAT detection completion 
+ */
+static void nat_detect_cb(const pj_stun_nat_detect_result *res)
+{
+    if (res->status != PJ_SUCCESS) {
+	char msg[250];
+	pj_ansi_snprintf(msg, sizeof(msg), "NAT detection failed: %s",
+			 res->status_text);
+	SetCallStatus(msg, pj_ansi_strlen(msg));
+    } else {
+	char msg[250];
+	pj_ansi_snprintf(msg, sizeof(msg), "NAT type is %s",
+			 res->nat_type_name);
+	SetCallStatus(msg, pj_ansi_strlen(msg));
+    }
 }
 
@@ -363,4 +396,5 @@
     cfg.cb.on_pager = &on_pager;
     cfg.cb.on_typing = &on_typing;
+    cfg.cb.on_nat_detect = &nat_detect_cb;
 
     if (SIP_PROXY) {
@@ -472,6 +506,7 @@
     MSG msg;
     HACCEL hAccelTable;
-    
-
+
+    PJ_UNUSED_ARG(lpCmdLine);
+    PJ_UNUSED_ARG(hPrevInstance);
 
     // Perform application initialization:
@@ -513,21 +548,4 @@
 
     return RegisterClass(&wc);
-}
-
-
-/* Callback upon NAT detection completion */
-static void nat_detect_cb(const pj_stun_nat_detect_result *res)
-{
-    if (res->status != PJ_SUCCESS) {
-	char msg[250];
-	pj_ansi_snprintf(msg, sizeof(msg), "NAT detection failed: %s",
-			 res->status_text);
-	SetCallStatus(msg, pj_ansi_strlen(msg));
-    } else {
-	char msg[250];
-	pj_ansi_snprintf(msg, sizeof(msg), "NAT type is %s",
-			 res->nat_type_name);
-	SetCallStatus(msg, pj_ansi_strlen(msg));
-    }
 }
 
Index: /pjproject/branches/projects/vs-reorg2/pjsip-apps/src/pocketpj/PocketPJDlg.cpp
===================================================================
--- /pjproject/branches/projects/vs-reorg2/pjsip-apps/src/pocketpj/PocketPJDlg.cpp	(revision 2653)
+++ /pjproject/branches/projects/vs-reorg2/pjsip-apps/src/pocketpj/PocketPJDlg.cpp	(revision 2654)
@@ -240,5 +240,5 @@
 	pj_unicode_to_ansi((LPCTSTR)codec, codec.GetLength(),
 			   tmp_nam, sizeof(tmp_nam));
-	pjsua_codec_set_priority(pj_cstr(&tmp, tmp_nam), 200-i);
+	pjsua_codec_set_priority(pj_cstr(&tmp, tmp_nam), (pj_uint8_t)(200-i));
     }
 
@@ -323,4 +323,6 @@
 				unsigned userData)
 {
+    PJ_UNUSED_ARG(userData);
+
     if (!m_PopUpState[type])
 	++m_PopUpCount;
@@ -420,4 +422,7 @@
 void CPocketPJDlg::on_call_state(pjsua_call_id call_id, pjsip_event *e)
 {
+    PJ_UNUSED_ARG(e);
+    PJ_UNUSED_ARG(call_id);
+
     theDlg->OnCallState();
 }
@@ -437,4 +442,7 @@
 				    pjsip_rx_data *rdata)
 {
+    PJ_UNUSED_ARG(acc_id);
+    PJ_UNUSED_ARG(call_id);
+    PJ_UNUSED_ARG(rdata);
 }
 
@@ -449,4 +457,5 @@
 	/* Registration success */
 	HBITMAP old = m_BtnAcc.SetBitmap(::LoadBitmap(AfxGetInstanceHandle(), MAKEINTRESOURCE(IDB_ONLINE)) );
+	PJ_UNUSED_ARG(old);
 	acc_text += " (OK)";
 	m_AccId.SetWindowText(acc_text);
@@ -461,4 +470,6 @@
 void CPocketPJDlg::on_reg_state(pjsua_acc_id acc_id)
 {
+    PJ_UNUSED_ARG(acc_id);
+
     theDlg->OnRegState();
 }
@@ -466,4 +477,6 @@
 void CPocketPJDlg::on_buddy_state(pjsua_buddy_id buddy_id)
 {
+    PJ_UNUSED_ARG(buddy_id);
+
     theDlg->RedrawBuddyList();
 }
@@ -473,4 +486,10 @@
 			    const pj_str_t *mime_type, const pj_str_t *text)
 {
+    PJ_UNUSED_ARG(call_id);
+    PJ_UNUSED_ARG(from);
+    PJ_UNUSED_ARG(to);
+    PJ_UNUSED_ARG(contact);
+    PJ_UNUSED_ARG(mime_type);
+    PJ_UNUSED_ARG(text);
 }
 
@@ -741,4 +760,7 @@
 {
     POSITION pos = m_BuddyList.GetFirstSelectedItemPosition();
+
+    PJ_UNUSED_ARG(pNMHDR);
+
     if (pos != NULL) {
 	int iItem = m_BuddyList.GetNextSelectedItem(pos);
Index: /pjproject/branches/projects/vs-reorg2/pjsip/include/pjsip/sip_parser.h
===================================================================
--- /pjproject/branches/projects/vs-reorg2/pjsip/include/pjsip/sip_parser.h	(revision 2653)
+++ /pjproject/branches/projects/vs-reorg2/pjsip/include/pjsip/sip_parser.h	(revision 2654)
@@ -309,4 +309,11 @@
  */
 
+
+#ifdef _MSC_VER
+#   pragma warning(push)
+#   pragma warning(disable:4510) // default constructor could not be generated
+#   pragma warning(disable:4512) // assignment operator could not be generated
+#   pragma warning(disable:4610) // user defined constructor required
+#endif
 
 /**
@@ -367,4 +374,8 @@
 } pjsip_parser_const_t;
 
+#ifdef _MSC_VER
+#   pragma warning(pop)
+#endif
+
 
 /**
Index: /pjproject/branches/projects/vs-reorg2/pjsip/src/test/inv_offer_answer_test.c
===================================================================
--- /pjproject/branches/projects/vs-reorg2/pjsip/src/test/inv_offer_answer_test.c	(revision 2653)
+++ /pjproject/branches/projects/vs-reorg2/pjsip/src/test/inv_offer_answer_test.c	(revision 2654)
@@ -195,4 +195,6 @@
     pjmedia_sdp_session *sdp;
 
+    PJ_UNUSED_ARG(offer);
+
     sdp = create_sdp(inv->dlg->pool, oa_sdp[inv_test.oa_index].answer);
     pjsip_inv_set_sdp_answer(inv, sdp);
@@ -211,4 +213,7 @@
 			    pjmedia_sdp_session **p_offer)
 {
+    PJ_UNUSED_ARG(inv);
+    PJ_UNUSED_ARG(p_offer);
+
     pj_assert(!"Should not happen");
 }
@@ -217,4 +222,6 @@
 			    pj_status_t status)
 {
+    PJ_UNUSED_ARG(status);
+
     if (inv_ses == inv_test.uas) {
 	inv_test.uas_update_cnt++;
@@ -258,4 +265,6 @@
     const char *who = NULL;
 
+    PJ_UNUSED_ARG(e);
+
     if (inv->state == PJSIP_INV_STATE_DISCONNECTED) {
 	TRACE_((THIS_FILE, "      %s call disconnected",
@@ -612,4 +621,7 @@
 static pjsip_dialog* on_dlg_forked(pjsip_dialog *first_set, pjsip_rx_data *res)
 {
+    PJ_UNUSED_ARG(first_set);
+    PJ_UNUSED_ARG(res);
+
     return NULL;
 }
@@ -618,4 +630,6 @@
 static void on_new_session(pjsip_inv_session *inv, pjsip_event *e)
 {
+    PJ_UNUSED_ARG(inv);
+    PJ_UNUSED_ARG(e);
 }
 
Index: /pjproject/branches/projects/vs-reorg2/pjsip/src/test/msg_err_test.c
===================================================================
--- /pjproject/branches/projects/vs-reorg2/pjsip/src/test/msg_err_test.c	(revision 2653)
+++ /pjproject/branches/projects/vs-reorg2/pjsip/src/test/msg_err_test.c	(revision 2654)
@@ -28,4 +28,7 @@
 				pjsip_parser_err_report *err_list)
 {
+    PJ_UNUSED_ARG(msg);
+    PJ_UNUSED_ARG(err_list);
+
     return PJ_TRUE;
 }
Index: /pjproject/branches/projects/vs-reorg2/pjsip/src/test/msg_test.c
===================================================================
--- /pjproject/branches/projects/vs-reorg2/pjsip/src/test/msg_test.c	(revision 2653)
+++ /pjproject/branches/projects/vs-reorg2/pjsip/src/test/msg_test.c	(revision 2654)
@@ -838,5 +838,4 @@
 			 unsigned *p_print)
 {
-    pj_status_t status;
     pj_pool_t *pool;
     int i, loop;
@@ -844,5 +843,5 @@
     pj_time_val elapsed;
     pj_highprec_t avg_detect, avg_parse, avg_print, kbytes;
-
+    pj_status_t status = PJ_SUCCESS;
 
     pj_bzero(&var, sizeof(var));
Index: /pjproject/branches/projects/vs-reorg2/pjsip/src/test/test.c
===================================================================
--- /pjproject/branches/projects/vs-reorg2/pjsip/src/test/test.c	(revision 2653)
+++ /pjproject/branches/projects/vs-reorg2/pjsip/src/test/test.c	(revision 2654)
@@ -89,4 +89,6 @@
 pj_status_t register_static_modules(pj_size_t *count, pjsip_module **modules)
 {
+    PJ_UNUSED_ARG(modules);
+
     *count = 0;
     return PJ_SUCCESS;
Index: /pjproject/branches/projects/vs-reorg2/pjsip/src/test/transport_test.c
===================================================================
--- /pjproject/branches/projects/vs-reorg2/pjsip/src/test/transport_test.c	(revision 2653)
+++ /pjproject/branches/projects/vs-reorg2/pjsip/src/test/transport_test.c	(revision 2654)
@@ -160,4 +160,6 @@
 			      pj_ssize_t sent, pj_bool_t *cont)
 {
+    PJ_UNUSED_ARG(stateless_data);
+
     if (sent < 1) {
 	/* Obtain the error code. */
@@ -184,4 +186,7 @@
     pjsip_tx_data *tdata;
     pj_time_val timeout;
+
+    PJ_UNUSED_ARG(tp_type);
+    PJ_UNUSED_ARG(ref_tp);
 
     PJ_LOG(3,(THIS_FILE, "  single message round-trip test..."));
@@ -491,4 +496,6 @@
     pj_time_val poll_delay = { 0, 10 };
 
+    PJ_UNUSED_ARG(arg);
+
     /* Sleep to allow main threads to run. */
     pj_thread_sleep(10);
@@ -521,4 +528,7 @@
     unsigned total_recv;
 
+    PJ_UNUSED_ARG(tp_type);
+    PJ_UNUSED_ARG(ref_tp);
+
     PJ_LOG(3,(THIS_FILE, "  multithreaded round-trip test (%d threads)...",
 		  THREADS));
@@ -551,6 +561,7 @@
     for (i=0; i<THREADS; ++i) {
 	char buf[1];
-	pj_str_t str_id = { buf, 1 };
-
+	pj_str_t str_id;
+	
+	pj_strset(&str_id, buf, 1);
 	pj_bzero(&rt_test_data[i], sizeof(rt_test_data[i]));
 
@@ -564,5 +575,5 @@
 	rt_test_data[i].call_id.ptr = (char*) pj_pool_alloc(pool, rt_call_id.slen+1);
 	pj_strcpy(&rt_test_data[i].call_id, &rt_call_id);
-	buf[0] = '0' + i;
+	buf[0] = '0' + (char)i;
 	pj_strcat(&rt_test_data[i].call_id, &str_id);
 
Index: /pjproject/branches/projects/vs-reorg2/pjsip/src/test/tsx_uac_test.c
===================================================================
--- /pjproject/branches/projects/vs-reorg2/pjsip/src/test/tsx_uac_test.c	(revision 2653)
+++ /pjproject/branches/projects/vs-reorg2/pjsip/src/test/tsx_uac_test.c	(revision 2654)
@@ -552,4 +552,6 @@
     pjsip_transport *tp = r->res_addr.transport;
 
+    PJ_UNUSED_ARG(timer_heap);
+
     pjsip_endpt_send_response(endpt, &r->res_addr, r->tdata, NULL, NULL);
     if (tp)
@@ -564,4 +566,6 @@
     pjsip_transaction *tsx = pjsip_tsx_layer_find_tsx(&m->tsx_key, PJ_FALSE);
     int status_code = entry->id;
+
+    PJ_UNUSED_ARG(timer_heap);
 
     if (tsx) {
@@ -948,4 +952,6 @@
     pj_status_t status;
 
+    PJ_UNUSED_ARG(dummy);
+
     PJ_LOG(3,(THIS_FILE, 
 	      "   please standby, this will take at most %d seconds..",
@@ -1078,5 +1084,5 @@
 static int tsx_uac_retransmit_test(void)
 {
-    int status, enabled;
+    int status = 0, enabled;
     int i;
     struct {
@@ -1142,5 +1148,5 @@
 static int tsx_resolve_error_test(void)
 {
-    int status;
+    int status = 0;
 
     PJ_LOG(3,(THIS_FILE, "  test2: resolve error test"));
@@ -1227,5 +1233,5 @@
     int i;
     unsigned delay[] = {0, 10};
-    pj_status_t status;
+    pj_status_t status = PJ_SUCCESS;
 
     PJ_LOG(3,(THIS_FILE, 
@@ -1298,5 +1304,5 @@
 				 const pjsip_method *method)
 {
-    int i, status;
+    int i, status = 0;
     unsigned delay[] = { 1, 200 };
 
Index: /pjproject/branches/projects/vs-reorg2/pjsip/src/test/tsx_uas_test.c
===================================================================
--- /pjproject/branches/projects/vs-reorg2/pjsip/src/test/tsx_uas_test.c	(revision 2653)
+++ /pjproject/branches/projects/vs-reorg2/pjsip/src/test/tsx_uas_test.c	(revision 2654)
@@ -96,17 +96,17 @@
  **/
 
-static char *TEST1_BRANCH_ID = PJSIP_RFC3261_BRANCH_ID "-UAS-Test1";
-static char *TEST2_BRANCH_ID = PJSIP_RFC3261_BRANCH_ID "-UAS-Test2";
-static char *TEST3_BRANCH_ID = PJSIP_RFC3261_BRANCH_ID "-UAS-Test3";
-static char *TEST4_BRANCH_ID = PJSIP_RFC3261_BRANCH_ID "-UAS-Test4";
-static char *TEST5_BRANCH_ID = PJSIP_RFC3261_BRANCH_ID "-UAS-Test5";
-static char *TEST6_BRANCH_ID = PJSIP_RFC3261_BRANCH_ID "-UAS-Test6";
-static char *TEST7_BRANCH_ID = PJSIP_RFC3261_BRANCH_ID "-UAS-Test7";
-static char *TEST8_BRANCH_ID = PJSIP_RFC3261_BRANCH_ID "-UAS-Test8";
-static char *TEST9_BRANCH_ID = PJSIP_RFC3261_BRANCH_ID "-UAS-Test9";
-static char *TEST10_BRANCH_ID = PJSIP_RFC3261_BRANCH_ID "-UAS-Test10";
-static char *TEST11_BRANCH_ID = PJSIP_RFC3261_BRANCH_ID "-UAS-Test11";
-static char *TEST12_BRANCH_ID = PJSIP_RFC3261_BRANCH_ID "-UAS-Test12";
-//static char *TEST13_BRANCH_ID = PJSIP_RFC3261_BRANCH_ID "-UAS-Test13";
+#define TEST1_BRANCH_ID  (PJSIP_RFC3261_BRANCH_ID "-UAS-Test1")
+#define TEST2_BRANCH_ID  (PJSIP_RFC3261_BRANCH_ID "-UAS-Test2")
+#define TEST3_BRANCH_ID  (PJSIP_RFC3261_BRANCH_ID "-UAS-Test3")
+#define TEST4_BRANCH_ID  (PJSIP_RFC3261_BRANCH_ID "-UAS-Test4")
+#define TEST5_BRANCH_ID  (PJSIP_RFC3261_BRANCH_ID "-UAS-Test5")
+#define TEST6_BRANCH_ID  (PJSIP_RFC3261_BRANCH_ID "-UAS-Test6")
+#define TEST7_BRANCH_ID  (PJSIP_RFC3261_BRANCH_ID "-UAS-Test7")
+#define TEST8_BRANCH_ID  (PJSIP_RFC3261_BRANCH_ID "-UAS-Test8")
+#define TEST9_BRANCH_ID  (PJSIP_RFC3261_BRANCH_ID "-UAS-Test9")
+#define TEST10_BRANCH_ID (PJSIP_RFC3261_BRANCH_ID "-UAS-Test10")
+#define TEST11_BRANCH_ID (PJSIP_RFC3261_BRANCH_ID "-UAS-Test11")
+#define TEST12_BRANCH_ID (PJSIP_RFC3261_BRANCH_ID "-UAS-Test12")
+//#define TEST13_BRANCH_ID (PJSIP_RFC3261_BRANCH_ID "-UAS-Test13")
 
 #define TEST1_STATUS_CODE	200
@@ -212,4 +212,6 @@
     struct response *r = (struct response*) entry->user_data;
     pj_status_t status;
+
+    PJ_UNUSED_ARG(timer_heap);
 
     tsx = pjsip_tsx_layer_find_tsx(&r->tsx_key, PJ_TRUE);
Index: /pjproject/branches/projects/vs-reorg2/pjsip/src/test/uri_test.c
===================================================================
--- /pjproject/branches/projects/vs-reorg2/pjsip/src/test/uri_test.c	(revision 2653)
+++ /pjproject/branches/projects/vs-reorg2/pjsip/src/test/uri_test.c	(revision 2654)
@@ -918,5 +918,5 @@
 {
     unsigned i, loop;
-    pj_status_t status;
+    pj_status_t status = PJ_SUCCESS;
     pj_timestamp zero;
     pj_time_val elapsed;
